﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GameAudio : MonoBehaviour {

	public AudioSource jump;
	public AudioSource die;

	public AudioSource pickup;
	public AudioSource end;

	public AudioSource music;

	public static GameAudio Instance() {
		GameObject g = GameObject.Find("audio");
		if (g != null) return g.GetComponent<GameAudio>();
		return null;
	}

	public void PlayPickup() {
		pickup.Play();
	}

	public void PlayDie() {
		die.Play();
	}

	public void PlayerEnd() {
		end.Play();
	}
	public void PlayJump() {
		jump.Play();
	}




	public void StartMusic() {
		music.Play();
	}

}
