﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class LinearMovePath : MonoBehaviour {

	public Vector2 delta;


	public Vector2 GetPos(float alfa) {
		Vector2 start = transform.position;
		Vector2 end = start+delta;
		return Vector2.Lerp(start,end,alfa);
	}


//	void OnDrawGizmosSelected() {
	void OnDrawGizmos() {
        Gizmos.color = Color.green;
		Vector2 endpoint = new Vector2(transform.position.x+delta.x,transform.position.y+delta.y);
        Gizmos.DrawLine(transform.position, endpoint);
    }


}
